package com.nd.gateway.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 门户-文章
 * @Author: jeecg-boot
 * @Date:   2022-03-26
 * @Version: V1.0
 */
@Data
@TableName("tqd_gateway_article")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tqd_gateway_article对象", description="门户-文章")
public class GatewayArticle implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String title;
	/**标题-英文版*/
	@Excel(name = "标题-英文版", width = 15)
    @ApiModelProperty(value = "标题-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String titleen;
	/**文章类型*/
	@Excel(name = "文章类型", width = 15)
	@ApiModelProperty(value = "文章类型")
	@Dict(dicCode = "gateway_article_type")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String type;
	/**分类-栏目表ID*/
	@Excel(name = "分类-栏目表ID", width = 15)
    @ApiModelProperty(value = "分类-栏目表ID")
	@Dict(dictTable = "tqd_gateway_column",dicCode = "id",dicText = "name")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String columnId;
	/**封面图url*/
	@Excel(name = "封面图url", width = 15)
    @ApiModelProperty(value = "封面图url")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String cover;
	/**封面图url--英文版*/
	@Excel(name = "封面图url--英文版", width = 15)
    @ApiModelProperty(value = "封面图url--英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String coveren;
	/**作者*/
	@Excel(name = "作者", width = 15)
    @ApiModelProperty(value = "作者")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String author;
	/**作者-英文版*/
	@Excel(name = "作者-英文版", width = 15)
    @ApiModelProperty(value = "作者-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String authoren;
	/**来源*/
	@Excel(name = "来源", width = 15)
    @ApiModelProperty(value = "来源")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String source;
	/**来源-英文版*/
	@Excel(name = "来源-英文版", width = 15)
    @ApiModelProperty(value = "来源-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String sourceen;
	/**文章内容*/
	@Excel(name = "文章内容", width = 15)
    @ApiModelProperty(value = "文章内容")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String content;
	/**文章内容-英文版*/
	@Excel(name = "文章内容-英文版", width = 15)
    @ApiModelProperty(value = "文章内容-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String contenten;
	/**附件*/
	@Excel(name = "附件", width = 15)
	@ApiModelProperty(value = "附件")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String files;
	/**附件-英文版*/
	@Excel(name = "附件-英文版", width = 15)
	@ApiModelProperty(value = "附件-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String filesen;
	/**文章内容文件*/
	@Excel(name = "文章内容文件", width = 15)
	@ApiModelProperty(value = "文章内容文件")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String contentFile;
	/**是否发布(Y:是N:否)*/
	@Excel(name = "是否发布(Y:是N:否)", width = 15)
    @ApiModelProperty(value = "是否发布")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String isRelease;
	/**是否是轮播(Y:是N:否)*/
//	@Excel(name = "是否是轮播(Y:是N:否)", width = 15)
//	@ApiModelProperty(value = "是否是轮播")
//	@TableField(updateStrategy= FieldStrategy.IGNORED)
//	private String isBanner;
	/**
	 * 父级栏目对象
	 */
	@TableField(exist = false)
	private GatewayColumn parentGatewayColumn;

	/**
	 * 当前栏目对象
	 */
	@TableField(exist = false)
	private GatewayColumn currentGatewayColumn;

	/**
	 * 当前父级栏目下的所有子栏目
	 */
	@TableField(exist = false)
	private List<GatewayColumn> gatewayColumnList;
}
