package com.nd.gateway.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 门户-栏目
 * @Author: jeecg-boot
 * @Date:   2022-03-26
 * @Version: V1.0
 */
@Data
@TableName("tqd_gateway_column")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tqd_gateway_column对象", description="门户-栏目")
public class GatewayColumn implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**名称*/
	@Excel(name = "名称", width = 15)
    @ApiModelProperty(value = "名称")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String name;
	/**名称-英文版*/
	@Excel(name = "名称-英文版", width = 15)
    @ApiModelProperty(value = "名称-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String nameen;
	/**类型*/
	@Excel(name = "类型", width = 15, dicCode = "gateway_column_type")
	@Dict(dicCode = "gateway_column_type")
    @ApiModelProperty(value = "类型")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String type;
	/**上级ID 0为顶级*/
	@Excel(name = "上级ID 0为顶级", width = 15)
    @ApiModelProperty(value = "上级ID 0为顶级")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String parent;
	/**是否启用*/
	@Excel(name = "是否启用", width = 15)
    @ApiModelProperty(value = "是否启用")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String isEnable;
	/**排序*/
	@Excel(name = "排序", width = 15)
	@ApiModelProperty(value = "排序")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String sort;
	/**图标*/
	@Excel(name = "图标", width = 15)
	@ApiModelProperty(value = "图标")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String icon;

	//查询父ID
	@TableField(exist = false)
	private String fpid;
	//查询ID
	@TableField(exist = false)
	private String fid;
}
