package com.nd.gateway.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 门户-友情链接，快速导航
 * @Author: jeecg-boot
 * @Date:   2022-03-26
 * @Version: V1.0
 */
@Data
@TableName("tqd_gateway_links")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tqd_gateway_links对象", description="门户-友情链接，快速导航")
public class GatewayLinks implements Serializable {
    private static final long serialVersionUID = 1L;

	/**id*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "id")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**名称*/
	@Excel(name = "名称", width = 15)
    @ApiModelProperty(value = "名称")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String name;
	/**类型（显示在哪）*/
	@Excel(name = "类型（显示在哪）", width = 15)
    @ApiModelProperty(value = "类型（显示在哪）")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String type;
	/**链接*/
	@Excel(name = "链接", width = 15)
    @ApiModelProperty(value = "链接")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String url;
	/**链接-英文版*/
	@Excel(name = "链接-英文版", width = 15)
    @ApiModelProperty(value = "链接-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String urlen;
	/**标题*/
	@Excel(name = "标题", width = 15)
    @ApiModelProperty(value = "标题")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String title;
	/**标题-英文版*/
	@Excel(name = "标题-英文版", width = 15)
    @ApiModelProperty(value = "标题-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String titleen;
	/**logo url*/
	@Excel(name = "logo url", width = 15)
    @ApiModelProperty(value = "logo url")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String logo;
	/**logo url-英文版*/
	@Excel(name = "logo url-英文版", width = 15)
    @ApiModelProperty(value = "logo url-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String logoen;
	/**是否启用*/
	@Excel(name = "是否启用", width = 15)
    @ApiModelProperty(value = "是否启用")
    private java.lang.String isEnable;
}
