package com.nd.gateway.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 国际化配置
 * @Author: jeecg-boot
 * @Date:   2022-03-24
 * @Version: V1.0
 */
@Data
@TableName("tqc_i18n_config")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tqc_i18n_config对象", description="国际化配置")
public class I18nConfig implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**语言标识*/
	@Excel(name = "语言标识", width = 15)
    @ApiModelProperty(value = "语言标识")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String identification;
	/**显示名称*/
	@Excel(name = "显示名称", width = 15)
    @ApiModelProperty(value = "显示名称")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String name;
	/**国际化JSON*/
	@Excel(name = "国际化JSON", width = 15)
    @ApiModelProperty(value = "国际化JSON")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String i18nJson;
	/**是否启用(Y:是,N:否)，同一个标识只能有一个启用的*/
	@Excel(name = "是否启用", width = 15)
    @ApiModelProperty(value = "是否启用")
    private java.lang.String isEnable;
}
