package com.nd.gateway.entity;

import java.io.Serializable;
import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.jeecg.common.aspect.annotation.Dict;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Description: 基本信息表
 * @Author: jeecg-boot
 * @Date:   2022-03-24
 * @Version: V1.0
 */
@Data
@TableName("tqc_gateway_common")
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="tqc_gateway_common对象", description="基本信息表")
public class gatewayCommon implements Serializable {
    private static final long serialVersionUID = 1L;

	/**主键*/
	@TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private java.lang.String id;
	/**邮箱*/
	@Excel(name = "邮箱", width = 15)
	@ApiModelProperty(value = "邮箱")
	private java.lang.String mailbox;
	/**创建人*/
    @ApiModelProperty(value = "创建人")
    private java.lang.String createBy;
	/**创建日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建日期")
    private java.util.Date createTime;
	/**更新人*/
    @ApiModelProperty(value = "更新人")
    private java.lang.String updateBy;
	/**更新日期*/
	@JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "更新日期")
    private java.util.Date updateTime;
	/**所属部门*/
    @ApiModelProperty(value = "所属部门")
    private java.lang.String sysOrgCode;
	/**门户头部logo*/
	@Excel(name = "门户头部logo", width = 15)
    @ApiModelProperty(value = "门户头部logo")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String heardLogoUrl;
	/**门户头部logo-英文版*/
	@Excel(name = "门户头部logo-英文版", width = 15)
	@ApiModelProperty(value = "门户头部logo-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String heardLogoUrlen;
	/**门户尾部logo*/
	@Excel(name = "门户尾部logo", width = 15)
    @ApiModelProperty(value = "门户尾部logo")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String footerLogoUrl;
	/**门户尾部logo-英文版*/
	@Excel(name = "门户尾部logo-英文版", width = 15)
	@ApiModelProperty(value = "门户尾部logo-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String footerLogoUrlen;
	/**版权所有*/
	@Excel(name = "版权所有", width = 15)
    @ApiModelProperty(value = "版权所有")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String copyright;
	/**版权所有-英文版*/
	@Excel(name = "版权所有-英文版", width = 15)
	@ApiModelProperty(value = "版权所有-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String copyrighten;
	/**邮箱-英文版*/
	@Excel(name = "邮箱-英文版", width = 15)
	@ApiModelProperty(value = "邮箱-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String mailboxen;
	/**地址*/
	@Excel(name = "地址", width = 15)
    @ApiModelProperty(value = "地址")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String address;
	/**地址-英文版*/
	@Excel(name = "地址-英文版", width = 15)
	@ApiModelProperty(value = "地址-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String addressen;
	/**备案号*/
	@Excel(name = "备案号", width = 15)
    @ApiModelProperty(value = "备案号")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String recordNumber;
	/**备案号-英文版*/
	@Excel(name = "备案号-英文版", width = 15)
	@ApiModelProperty(value = "备案号-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String recordNumberen;
	/**官方微信*/
	@Excel(name = "官方微信", width = 15)
    @ApiModelProperty(value = "官方微信")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String wechatUrl;
	/**官方微信-英文版*/
	@Excel(name = "官方微信-英文版", width = 15)
	@ApiModelProperty(value = "官方微信-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String wechatUrlen;
	/**学校主页地址*/
	@Excel(name = "学校主页地址", width = 15)
    @ApiModelProperty(value = "学校主页地址")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
    private java.lang.String homepageUrl;
	/**学校主页地址-英文版*/
	@Excel(name = "学校主页地址-英文版", width = 15)
	@ApiModelProperty(value = "学校主页地址-英文版")
	@TableField(updateStrategy= FieldStrategy.IGNORED)
	private java.lang.String homepageUrlen;
}
